//  ---------------------------------------------------------------------------
//
//  The flag object
//  Oftentimes it’s desirable to have the image content and text content 
//  aligned to their vertical middles
//
//  Developed by Harry Roberts
//  http://csswizardry.com/2013/05/the-flag-object/
//
//  Example:
//   ___________
//  |           |  
//  |           |  
//  |   Image   | aliqua. Ut enim ad minim veniam, quis nostrud exercitation
//  |           | 
//  |___________|  
//
//
//  ---------------------------------------------------------------------------


    .flag
    {
        display: table;
        width: 100%;
    }

    .flag__image,
    .flag__body
    {
        display: table-cell;
        vertical-align: middle;

        .flag--top &
        {
            vertical-align: top;
        }

        .flag--bottom &
        {
            vertical-align: bottom;
        }

    }

    .flag__image
    {
        padding-right: 10px;

        > img
        {
            display: block;
            max-width: none;
        }

        .flag--rev &
        {
            padding-right: 0;
            padding-left: 10px;
        }

    }

    .flag__body
    {
        width: 100%;
    }